Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## phelps.awt.color
Class ColorSpaceCMYK

    java.lang.Object
      java.awt.color.ColorSpace
          phelps.awt.color.ColorSpaceCMYK

All Implemented Interfaces:
  java.io.Serializable

public class ColorSpaceCMYK
extends java.awt.color.ColorSpace

CMYK color space. Called DeviceCMYK by PDF.

Version:
  $Revision: 1.3 $ $Date: 2002/06/06 21:47:18 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.awt.color.ColorSpace
`CS_CIEXYZ, CS_GRAY, CS_LINEAR_RGB, CS_PYCC, CS_sRGB, TYPE_2CLR, TYPE_3CLR, TYPE_4CLR, TYPE_5CLR, TYPE_6CLR, TYPE_7CLR, TYPE_8CLR, TYPE_9CLR, TYPE_ACLR, TYPE_BCLR, TYPE_CCLR, TYPE_CMY, TYPE_CMYK, TYPE_DCLR, TYPE_ECLR, TYPE_FCLR, TYPE_GRAY, TYPE_HLS, TYPE_HSV, TYPE_Lab, TYPE_Luv, TYPE_RGB, TYPE_XYZ, TYPE_YCbCr, TYPE_Yxy`

Method Summary
`float[]` | `fromCIEXYZ(float[] colorvalue)`
`float[]` | `fromRGB(float[] rgbvalue)` Black generation and undercolor removal hardcoded to maximum.
`static ColorSpaceCMYK` | `getInstance()`
`float[]` | `toCIEXYZ(float[] colorvalue)`
`float[]` | `toRGB(float[] colorvalue)`

Methods inherited from class java.awt.color.ColorSpace
`getInstance, getMaxValue, getMinValue, getName, getNumComponents, getType, isCS_sRGB`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ColorSpaceCMYK getInstance()

### fromCIEXYZ

    public float[] fromCIEXYZ(float[] colorvalue)

  Specified by:
    `fromCIEXYZ` in class `java.awt.color.ColorSpace`

### toCIEXYZ

    public float[] toCIEXYZ(float[] colorvalue)

  Specified by:
    `toCIEXYZ` in class `java.awt.color.ColorSpace`

### fromRGB

    public float[] fromRGB(float[] rgbvalue)

  Black generation and undercolor removal hardcoded to maximum. See PDF Ref 1.4, page 377.

  Specified by:
    `fromRGB` in class `java.awt.color.ColorSpace`

### toRGB

    public float[] toRGB(float[] colorvalue)

  Specified by:
    `toRGB` in class `java.awt.color.ColorSpace`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD